summaryrefslogtreecommitdiffstats
path: root/fuel-build/f_isoroot/f_bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'fuel-build/f_isoroot/f_bootstrap')
-rw-r--r--fuel-build/f_isoroot/f_bootstrap/Makefile29
-rw-r--r--fuel-build/f_isoroot/f_bootstrap/README24
-rwxr-xr-xfuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh105
-rwxr-xr-xfuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh.orig84
-rwxr-xr-xfuel-build/f_isoroot/f_bootstrap/post-scripts/00_post_example.sh4
-rwxr-xr-xfuel-build/f_isoroot/f_bootstrap/post-scripts/01_fix_iommubug.sh9
-rwxr-xr-xfuel-build/f_isoroot/f_bootstrap/post-scripts/02_fix_console_speed.sh15
-rwxr-xr-xfuel-build/f_isoroot/f_bootstrap/pre-scripts/00_pre_example.sh4
8 files changed, 0 insertions, 274 deletions
diff --git a/fuel-build/f_isoroot/f_bootstrap/Makefile b/fuel-build/f_isoroot/f_bootstrap/Makefile
deleted file mode 100644
index 7404319..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/Makefile
+++ /dev/null
@@ -1,29 +0,0 @@
-##############################################################################
-# Copyright (c) 2015 Ericsson AB and others.
-# stefan.k.berg@ericsson.com
-# jonas.bjurel@ericsson.com
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-
-TOP := $(shell pwd)
-
-.PHONY: all
-all:
- @mkdir -p release/opnfv/bootstrap/pre.d
- @mkdir -p release/opnfv/bootstrap/post.d
- @mkdir -p release/usr/local/sbin
- @cp pre-scripts/* release/opnfv/bootstrap/pre.d
- @cp post-scripts/* release/opnfv/bootstrap/post.d
- @cp bootstrap_admin_node.sh release
- @cp bootstrap_admin_node.sh.orig release
-
-.PHONY: clean
-clean:
- @rm -rf release
-
-.PHONY: release
-release:all
- @cp -Rvp release/* ../release
diff --git a/fuel-build/f_isoroot/f_bootstrap/README b/fuel-build/f_isoroot/f_bootstrap/README
deleted file mode 100644
index 5da954c..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/README
+++ /dev/null
@@ -1,24 +0,0 @@
-##############################################################################
-# Copyright (c) 2015 Ericsson AB and others.
-# stefan.k.berg@ericsson.com
-# jonas.bjurel@ericsson.com
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-
-This function modifies the adds hooks to the beginning and end of
-/usr/local/sbin/bootstrap_admin_nodes.sh, which is run as the
-last post step from ks.cfg
-
-This enables other functions to place scripts into two directories
-run either at the beginning or the end of the bootstrap procedure:
-
- /opt/opnfv/bootstrap/pre.d
- /opt/opnfv/bootstrap/post.d
-
-These will be run in lexical order at pre or post.
-
-CI note: Using pre.d, it would be possible to "inject" a pre-defined
-astute.yaml for Fuel.
diff --git a/fuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh b/fuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh
deleted file mode 100755
index 348ce3c..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh
+++ /dev/null
@@ -1,105 +0,0 @@
-#!/bin/bash
-
-function countdown() {
- local i
- sleep 1
- for ((i=$1-1; i>=1; i--)); do
- printf '\b\b%02d' "$i"
- sleep 1
- done
-}
-
-function fail() {
- echo "ERROR: Fuel node deployment FAILED! Check /var/log/puppet/bootstrap_admin_node.log for details" 1>&2
- exit 1
-}
-# LANG variable is a workaround for puppet-3.4.2 bug. See LP#1312758 for details
-export LANG=en_US.UTF8
-showmenu="no"
-if [ -f /root/.showfuelmenu ]; then
- . /root/.showfuelmenu
-fi
-
-echo -n "Applying default Fuel settings..."
-fuelmenu --save-only --iface=eth0
-echo "Done!"
-
-### OPNFV addition BEGIN
-shopt -s nullglob
-for script in /opt/opnfv/bootstrap/pre.d/*.sh
-do
- echo "Pre script: $script" >> /root/pre.log 2>&1
- $script >> /root/pre.log 2>&1
-done
-shopt -u nullglob
-### OPNFV addition END
-
-if [[ "$showmenu" == "yes" || "$showmenu" == "YES" ]]; then
- fuelmenu
- else
- #Give user 15 seconds to enter fuelmenu or else continue
- echo
- echo -n "Press a key to enter Fuel Setup (or press ESC to skip)... 15"
- countdown 15 & pid=$!
- if ! read -s -n 1 -t 15 key; then
- echo -e "\nSkipping Fuel Setup..."
- else
- { kill "$pid"; wait $!; } 2>/dev/null
- case "$key" in
- $'\e') echo "Skipping Fuel Setup.."
- echo -n "Applying default Fuel setings..."
- fuelmenu --save-only --iface=eth0
- echo "Done!"
- ;;
- *) echo -e "\nEntering Fuel Setup..."
- fuelmenu
- ;;
- esac
- fi
-fi
-#Reread /etc/sysconfig/network to inform puppet of changes
-. /etc/sysconfig/network
-hostname "$HOSTNAME"
-
-### docker stuff
-images_dir="/var/www/nailgun/docker/images"
-
-# extract docker images
-mkdir -p $images_dir $sources_dir
-rm -f $images_dir/*tar
-pushd $images_dir &>/dev/null
-
-echo "Extracting and loading docker images. (This may take a while)"
-lrzip -d -o fuel-images.tar fuel-images.tar.lrz && tar -xf fuel-images.tar && rm -f fuel-images.tar
-popd &>/dev/null
-service docker start
-
-# load docker images
-for image in $images_dir/*tar ; do
- echo "Loading docker image ${image}..."
- docker load -i "$image"
- # clean up extracted image
- rm -f "$image"
-done
-
-# apply puppet
-puppet apply --detailed-exitcodes -d -v /etc/puppet/modules/nailgun/examples/host-only.pp
-if [ $? -ge 4 ];then
- fail
-fi
-rmdir /var/log/remote && ln -s /var/log/docker-logs/remote /var/log/remote
-
-dockerctl check || fail
-bash /etc/rc.local
-
-### OPNFV addition BEGIN
-shopt -s nullglob
-for script in /opt/opnfv/bootstrap/post.d/*.sh
-do
- echo "Post script: $script" >> /root/post.log 2>&1
- $script >> /root/post.log 2>&1
-done
-shopt -u nullglob
-### OPNFV addition END
-
-echo "Fuel node deployment complete!"
diff --git a/fuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh.orig b/fuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh.orig
deleted file mode 100755
index 7b6e6bd..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/bootstrap_admin_node.sh.orig
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/bash
-
-function countdown() {
- local i
- sleep 1
- for ((i=$1-1; i>=1; i--)); do
- printf '\b\b%02d' "$i"
- sleep 1
- done
-}
-
-function fail() {
- echo "ERROR: Fuel node deployment FAILED! Check /var/log/puppet/bootstrap_admin_node.log for details" 1>&2
- exit 1
-}
-# LANG variable is a workaround for puppet-3.4.2 bug. See LP#1312758 for details
-export LANG=en_US.UTF8
-showmenu="no"
-if [ -f /root/.showfuelmenu ]; then
- . /root/.showfuelmenu
-fi
-
-echo -n "Applying default Fuel settings..."
-fuelmenu --save-only --iface=eth0
-echo "Done!"
-
-if [[ "$showmenu" == "yes" || "$showmenu" == "YES" ]]; then
- fuelmenu
- else
- #Give user 15 seconds to enter fuelmenu or else continue
- echo
- echo -n "Press a key to enter Fuel Setup (or press ESC to skip)... 15"
- countdown 15 & pid=$!
- if ! read -s -n 1 -t 15 key; then
- echo -e "\nSkipping Fuel Setup..."
- else
- { kill "$pid"; wait $!; } 2>/dev/null
- case "$key" in
- $'\e') echo "Skipping Fuel Setup.."
- echo -n "Applying default Fuel setings..."
- fuelmenu --save-only --iface=eth0
- echo "Done!"
- ;;
- *) echo -e "\nEntering Fuel Setup..."
- fuelmenu
- ;;
- esac
- fi
-fi
-#Reread /etc/sysconfig/network to inform puppet of changes
-. /etc/sysconfig/network
-hostname "$HOSTNAME"
-
-### docker stuff
-images_dir="/var/www/nailgun/docker/images"
-
-# extract docker images
-mkdir -p $images_dir $sources_dir
-rm -f $images_dir/*tar
-pushd $images_dir &>/dev/null
-
-echo "Extracting and loading docker images. (This may take a while)"
-lrzip -d -o fuel-images.tar fuel-images.tar.lrz && tar -xf fuel-images.tar && rm -f fuel-images.tar
-popd &>/dev/null
-service docker start
-
-# load docker images
-for image in $images_dir/*tar ; do
- echo "Loading docker image ${image}..."
- docker load -i "$image"
- # clean up extracted image
- rm -f "$image"
-done
-
-# apply puppet
-puppet apply --detailed-exitcodes -d -v /etc/puppet/modules/nailgun/examples/host-only.pp
-if [ $? -ge 4 ];then
- fail
-fi
-rmdir /var/log/remote && ln -s /var/log/docker-logs/remote /var/log/remote
-
-dockerctl check || fail
-bash /etc/rc.local
-echo "Fuel node deployment complete!"
diff --git a/fuel-build/f_isoroot/f_bootstrap/post-scripts/00_post_example.sh b/fuel-build/f_isoroot/f_bootstrap/post-scripts/00_post_example.sh
deleted file mode 100755
index 7ac8965..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/post-scripts/00_post_example.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#/bin/sh
-date
-echo "This is an example file run at post-bootstrap."
-exit 0
diff --git a/fuel-build/f_isoroot/f_bootstrap/post-scripts/01_fix_iommubug.sh b/fuel-build/f_isoroot/f_bootstrap/post-scripts/01_fix_iommubug.sh
deleted file mode 100755
index 79aa31a..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/post-scripts/01_fix_iommubug.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#/bin/sh
-echo "Setting intel_iommu=off in bootstrap profile - a fix for the Dell systems"
-echo "Old settings"
-dockerctl shell cobbler cobbler profile report --name bootstrap
-echo "Modifying"
-dockerctl shell cobbler cobbler profile edit --name bootstrap --kopts "intel_iommu=off" --in-place
-echo "New settings"
-dockerctl shell cobbler cobbler profile report --name bootstrap
-
diff --git a/fuel-build/f_isoroot/f_bootstrap/post-scripts/02_fix_console_speed.sh b/fuel-build/f_isoroot/f_bootstrap/post-scripts/02_fix_console_speed.sh
deleted file mode 100755
index bf7591b..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/post-scripts/02_fix_console_speed.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#/bin/sh
-echo "Changing console speed to 115200 (std is 9600) on bootstrap"
-echo "Old settings"
-dockerctl shell cobbler cobbler profile report --name bootstrap
-echo "Modifying"
-dockerctl shell cobbler cobbler profile edit --name bootstrap --kopts "console=tty0 console=ttyS0,115200" --in-place
-echo "New settings"
-dockerctl shell cobbler cobbler profile report --name bootstrap
-echo "Setting console speed to 115200 on ubuntu_1204_x86_64 (std is no serial console)"
-echo "Old settings"
-dockerctl shell cobbler cobbler profile report --name ubuntu_1204_x86_64
-echo "Modifying"
-dockerctl shell cobbler cobbler profile edit --name ubuntu_1204_x86_64 --kopts "console=tty0 console=ttyS0,115200" --in-place
-echo "New settings"
-dockerctl shell cobbler cobbler profile report --name ubuntu_1204_x86_64
diff --git a/fuel-build/f_isoroot/f_bootstrap/pre-scripts/00_pre_example.sh b/fuel-build/f_isoroot/f_bootstrap/pre-scripts/00_pre_example.sh
deleted file mode 100755
index ac427bf..0000000
--- a/fuel-build/f_isoroot/f_bootstrap/pre-scripts/00_pre_example.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-#/bin/sh
-date
-echo "This is an example file run at pre-bootstrap."
-exit 0